# Developer Advocate

<p class="description">You will educate users on the latest features, craft high-quality examples and demos, engage with the community, write documentation, advocate for creating faster and more appealing UIs, and help to promote the advanced components.</p>

## Details of the Role

- Location: Remote (preference for UTC-5 to UTC+4).
- Type of work: Full-time (contractor or employee [depending on the case](https://www.notion.so/mui-org/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- Start date: Immediately.
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About us

See the [careers](/careers/) and [about us](/about/) pages.

### Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

In our [last developer survey](/blog/2020-developer-survey-results/#5-how-can-we-improve-material-ui-for-you), we learned that have a long way to go in helping developers to be successful with our technology.
We have underinvested in this area for too long.
Your mission will be to be the voice of the developers of the community inside the company.
We are looking for someone that can generate the following outcomes:

- Amplify the need of the community so the product direction aims at what people need the most.
- Improve the overall developer experience, resulting in better NPS & CSAT scores.
- Create momentum in the community and drive adoption of the library.

### Why this is interesting

You will be the first person focusing full-time on developer relations at MUI.
You will lay the foundations for a team that could grow over time.

Our solution empowers React developers to build awesome applications. It should be easy, it shouldn't require any advanced technical skills. Hundreds of thousands of developers use MUI every month.

## About the role

We are looking for a dedicated educator and experienced developer to join us as a Developer Advocate to help people get familiar with and use MUI most effectively.

### What you'll do on a day-to-day basis

- You will monitor success metrics, consider how effective initiatives are at achieving goals, and adjust effort accordingly.
- You will create and implement plans to build, enable and nurture the community.
- You will compose interesting blog posts. You will be writing tutorials and other technical content.
- You will participate in and speak at events, and online live streams.
- You will build inspiring apps, examples, and improve the documentation where needed.
- You will create technical videos, video tutorials, demos, and additional videos for the MUI YouTube channel.
- You will give feedback to product management, to influence the product roadmaps based on developers' needs.
- You will make sure contributions to the documentation are of high quality, sharing best practices with the developers.
- You will help other team members grow at engaging with the community. For instance by encouraging and providing critical feedback on new blog posts.
- You will rework the pages of the documentation that are confusing, base on feedback.
- You will follow GitHub issues to understand where developers face frustration, and develop strategies to overcome these. This could be suggesting or implementing documentation updates, or proposing or contributing code changes that solve the core issue.

### Here are a few initiatives you might work on

- Create a learning section in the documentation for hybrid written and video tutorials.
- Own the Algolia search experience, improving the content on the most frequent search queries.
- Take ownership of the company's Twitter account.
- Level up the showcase, cherry-picking the best websites and apps of the community.
- Revamp the blog post infrastructure to empower the rest of the team to create more content.
- Start a monthly newsletter to engage with the community.
- Organize a MUI Conf
- Think about creative ways to promote MUI X, MUI X Pro, and new products.

## About you

### Skills you should have

- You are fluent in English (both written and spoken).
- You are a highly empathic person.
- You are passionate about helping other developers solve problems and have an educational mindset.
- You have some formal or informal experience in teaching: training, tutoring, mentoring, etc.
- Hands-on developer who is comfortable with full-stack development.
- You are passionate about UI development.

### What would be nice if you had, but isn't required

- Experience in building community across some of the following channels: Twitter, YouTube, Twitch, Discord, blogs, meetups, public speaking & events
- Experience working with open-source and/or with the open-source community.
- Experience working with/editing video.
- Experience using MUI.

## Compensation

Competitive compensation depending on the profile and location. It could go higher for a person that can significantly push the mission forward. You can find the other perks & benefits in the [careers](/careers/#perks-amp-benefits) page.

## Apply

[Apply for this position 📮](https://airtable.com/shrdqo1Z6srZXGcvh?prefill_Applying+for=Developer%20Advocate)
