# Product Manager

<p class="description">We are looking for a product manager to guide our roadmap and build a great product.</p>

## Details of the Role

- Location: Remote (preference for UTC-5 to UTC+4).
- Type of work: Full-time (contractor or employee [depending on the case](https://www.notion.so/mui-org/Hiring-FAQ-64763b756ae44c37b47b081f98915501))
- Start date: Immediately.
- We're a remote company, we prefer asynchronous communication over meetings.
- We work independently, the rest of us won't know what you're doing day-to-day unless you tell us.

## About us

See the [careers](/careers/) and [about us](/about/) pages.

### Why we're hiring

Both our open-source community and our premium products are growing fast (x2-3 YoY).
We need talented people to keep that going!

Our mission is to make building UIs more accessible.
The faster and simpler it is, and the broader the audience that can create custom UIs, the better.
We believe that the best way to improve on these dimensions is to eliminate [80%](https://www.youtube.com/watch?v=GnO7D5UaDig&t=2451s) of the code that has to be written: low-code.

### Why this is interesting

Our solution empowers React developers to build awesome applications – hundreds of thousands of developers use MUI every month.

But providing React components isn't enough.
In our [last developer survey](/blog/2020-developer-survey-results/), we learned that the majority of our audience are full-stack developers.
They are looking for ways to move faster.
They are working on a couple of new projects every year, and where the integration between the UI and the database is key.

## About the role

You will initiate the exploration of a bold new product vertical.

### What you'll do on a day-to-day basis

- You will coordinate with the engineering to ensure that the product being delivered at each iteration solves the problem.
  This involves growing a deep understanding of our technical choices and constraints.
- You will drive the growth of the product by owning KPIs.
- You will grow and cultivate a deep understanding of the problems that developers have when they create simple applications (e.g. admins, prototypes). This means that you will observe and reach out to the community, run research interviews and share your insights with the team.
- You will keep a close eye on feature requests, issues, and general improvements, to curate opportunities based on our strategy.
- You will build a strategy for your product area and contribute to the overall product strategy, e.g. establishing a go-to-market strategy.
- You will assess the impact of initiatives through telemetry data and qualitative feedback to help us develop our understanding further, and decide on the next steps.

## About you

### Skills you should have

- 3+ years experience as Product Manager or closely related roles such as Product Owner, Program Manager, or Solutions Architect.
- Able to switch between the big picture and detailed view multiple times a day.

### What it would be nice if you had, but isn't required

- Experience building developer tools.
- Experience working with open-source and having interacted with open-source communities.

## Compensation

Competitive compensation of up to \$140,000 USD/year, depending on the profile and location. It could go higher for a person that can significantly push the mission forward. You can find the other perks & benefits in the [careers](/careers/#perks-amp-benefits) page.

## Apply

[Apply for this position 📮](https://airtable.com/shrdqo1Z6srZXGcvh?prefill_Applying+for=Product%20Manager)
