---
title: Textarea Autosize React component
components: TextareaAutosize
githubLabel: 'component: TextareaAutosize'
---

# Textarea Autosize

<p class="description">A textarea component for React which grows with content.</p>

- 📦 [2.1 kB gzipped](/size-snapshot)

The `TextareaAutosize` component automatically adjust the textarea height on keyboard and window resize events.

{{"component": "modules/components/ComponentLinkHeader.js", "design": false}}

## Empty

{{"demo": "pages/components/textarea-autosize/EmptyTextarea.js"}}

## Minimum height

{{"demo": "pages/components/textarea-autosize/MinHeightTextarea.js"}}

## Maximum height

{{"demo": "pages/components/textarea-autosize/MaxHeightTextarea.js"}}

## Unstyled

- 📦 [784 B gzipped](https://bundlephobia.com/result?p=@mui/base@latest)

As the component does not have any styles, it also comes with the unstyled package.

```js
import TextareaAutosize from '@mui/base/TextareaAutosize';
```
